import 'dotenv/config';
import { Client } from 'typesense';


export const client = new Client({
    nodes: [{ 
        host: process.env.TYPESENSE_HOST!, 
        port: Number(process.env.TYPESENSE_PORT!), 
        protocol: process.env.TYPESENSE_PROTOCOL!, 
    }],
    apiKey: process.env.TYPESENSE_API_KEY!,
    connectionTimeoutSeconds: 2,
});
